Get Card

API Explorer
loading...
POST
/v2/Payment/GetCard

GetCard prompts the terminal to read card data and returns the card track information. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Payment/GetCard" \  -H "Content-Type: application/json" \  -d '{    "Prompt": "",    "Timeout": null,    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null,    "CustomFields": {}  }'
{
  "Track1": "",
  "Track2": "",
  "Account": "",
  "EntryType": "",
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}